Skip to main content

Place Order

To get characters you need to make a POST call to the following url

REQUEST ATTRIBUTES

Request Parameter Description Mandatory
tsym Trading Symbol Yes
exchange Exchange name Yes
trantype Transaction Type Yes
validity Validity - It can be one of the following: DAY, IOC Yes
pricetype It can be one of the following: MKT - Market Order, L - Limit Order, SL-L - Stop Loss Limit Order, SL-M - Stop Loss Market Order Yes
qty Quantity Yes
discqty Disclosed Quantity Yes
price Price Yes
trgprc Trigger Price Yes
product Product Code Yes
amo AMO - It can be one of the following: YES, NO

RESPONSE ATTRIBUTES

Response Parameter Description
nstordno Order Number
curl / cURL
curl --location --request POST 'https://api.gwcindia.in/v1/placeorder' \
--header 'x-api-key: 2e4c1f0ac084dd6b30fd808e016be3f0' \
--header 'Authorization: Bearer 05b8167eed78367034cb5ed4a8c15930'
Request Example
{
"tsym": "YESBANK-EQ",
"exchange": "NSE",
"trantype": "B",
"validity": "DAY",
"pricetype": "MKT",
"qty": "1",
"discqty": "0",
"price": "0",
"trgprc": "0",
"product": "CNC",
"amo": "NO"

}

Response Example
{
"status": "success",
"data": {
"nstordno": "220104000034606"
}
}